Class UmlBaseFlow

Declaration :

- C++ : class UmlBaseFlow : public UmlItem
- Java : abstract class UmlBaseFlow extends UmlItem

Directly inherited by : UmlFlow

Artifact : UmlBaseFlow

Operation kind

Declaration :

- Uml : + kind() : anItemKind
- C++ : public: virtual anItemKind kind()
- Java : public anItemKind kind()

returns the kind of the item

Operation create

Declaration :

- Uml : static, + create(inout start : UmlActivityNode, inout end : UmlActivityNode) : UmlFlow, exceptions : RuntimeException
- C++ : public: static UmlFlow * create(UmlActivityNode * start, UmlActivityNode * end)
- Java : public static UmlFlow create(UmlActivityNode start, UmlActivityNode end) throws RuntimeException

Returns a new flow from 'start' to 'end'
In case it cannot be created ('parent' cannot contain it etc ...) return 0
in C++ and produce a RuntimeException in Java

Operation target

Declaration :

- Uml : + target() : UmlActivityNode
- C++ : public: virtual UmlActivityNode * target()
- Java : public UmlActivityNode target()

returns the 'end' object (the 'start' object is the parent of the flow) no set !

Operation weight

Declaration :

- Uml : + weight() : string
- C++ : public: const QCString & weight()
- Java : public String weight()

return the weight in OCL

Operation set_Weight

Declaration :

- Uml : + set_Weight(in v : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_Weight(const char * v)
- Java : public void set_Weight(String v) throws RuntimeException

set the weight in OCL
On error return FALSE in C++, produce a RuntimeException in Java

Operation guard

Declaration :

- Uml : + guard() : string
- C++ : public: const QCString & guard()
- Java : public String guard()

return the guard in OCL

Operation set_Guard

Declaration :

- Uml : + set_Guard(in v : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_Guard(const char * v)
- Java : public void set_Guard(String v) throws RuntimeException

set the guard in OCL
On error return FALSE in C++, produce a RuntimeException in Java

Operation selection

Declaration :

- Uml : + selection() : string
- C++ : public: const QCString & selection()
- Java : public String selection()

return the selection in OCL

Operation set_Selection

Declaration :

- Uml : + set_Selection(in v : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_Selection(const char * v)
- Java : public void set_Selection(String v) throws RuntimeException

set the selection in OCL
On error return FALSE in C++, produce a RuntimeException in Java

Operation transformation

Declaration :

- Uml : + transformation() : string
- C++ : public: const QCString & transformation()
- Java : public String transformation()

return the transformation in OCL

Operation set_Transformation

Declaration :

- Uml : + set_Transformation(in v : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_Transformation(const char * v)
- Java : public void set_Transformation(String v) throws RuntimeException

set the transformation in OCL
On error return FALSE in C++, produce a RuntimeException in Java

Operation cppWeight

Declaration :

- Uml : + cppWeight() : string
- C++ : public: const QCString & cppWeight()
- Java : public String cppWeight()

return the weight in C++

Operation set_CppWeight

Declaration :

- Uml : + set_CppWeight(in v : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_CppWeight(const char * v)
- Java : public void set_CppWeight(String v) throws RuntimeException

set the weight in C++
On error return FALSE in C++, produce a RuntimeException in Java

Operation cppGuard

Declaration :

- Uml : + cppGuard() : string
- C++ : public: const QCString & cppGuard()
- Java : public String cppGuard()

return the guard in C++

Operation set_CppGuard

Declaration :

- Uml : + set_CppGuard(in v : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_CppGuard(const char * v)
- Java : public void set_CppGuard(String v) throws RuntimeException

set the guard in C++
On error return FALSE in C++, produce a RuntimeException in Java

Operation cppSelection

Declaration :

- Uml : + cppSelection() : string
- C++ : public: const QCString & cppSelection()
- Java : public String cppSelection()

return the selection in C++

Operation set_CppSelection

Declaration :

- Uml : + set_CppSelection(in v : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_CppSelection(const char * v)
- Java : public void set_CppSelection(String v) throws RuntimeException

set the selection in C++
On error return FALSE in C++, produce a RuntimeException in Java

Operation cppTransformation

Declaration :

- Uml : + cppTransformation() : string
- C++ : public: const QCString & cppTransformation()
- Java : public String cppTransformation()

return the transformation in C++

Operation set_CppTransformation

Declaration :

- Uml : + set_CppTransformation(in v : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_CppTransformation(const char * v)
- Java : public void set_CppTransformation(String v) throws RuntimeException

set the transformation in C++
On error return FALSE in C++, produce a RuntimeException in Java

Operation javaWeight

Declaration :

- Uml : + javaWeight() : string
- C++ : public: const QCString & javaWeight()
- Java : public String javaWeight()

return the weight in Java

Operation set_JavaWeight

Declaration :

- Uml : + set_JavaWeight(in v : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_JavaWeight(const char * v)
- Java : public void set_JavaWeight(String v) throws RuntimeException

set the weight in Java
On error return FALSE in C++, produce a RuntimeException in Java

Operation javaGuard

Declaration :

- Uml : + javaGuard() : string
- C++ : public: const QCString & javaGuard()
- Java : public String javaGuard()

return the guard in Java

Operation set_JavaGuard

Declaration :

- Uml : + set_JavaGuard(in v : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_JavaGuard(const char * v)
- Java : public void set_JavaGuard(String v) throws RuntimeException

set the guard in Java
On error return FALSE in C++, produce a RuntimeException in Java

Operation javaSelection

Declaration :

- Uml : + javaSelection() : string
- C++ : public: const QCString & javaSelection()
- Java : public String javaSelection()

return the selection in Java

Operation set_JavaSelection

Declaration :

- Uml : + set_JavaSelection(in v : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_JavaSelection(const char * v)
- Java : public void set_JavaSelection(String v) throws RuntimeException

set the selection in Java
On error return FALSE in C++, produce a RuntimeException in Java

Operation javaTransformation

Declaration :

- Uml : + javaTransformation() : string
- C++ : public: const QCString & javaTransformation()
- Java : public String javaTransformation()

return the transformation in Java

Operation set_JavaTransformation

Declaration :

- Uml : + set_JavaTransformation(in v : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_JavaTransformation(const char * v)
- Java : public void set_JavaTransformation(String v) throws RuntimeException

set the transformation in Java
On error return FALSE in C++, produce a RuntimeException in Java

Operation unload

Declaration :

- Uml : + unload(in rec : bool, in del : bool) : void
- C++ : public: virtual void unload(bool = FALSE, bool = FALSE)
- Java : public void unload(boolean rec, boolean del)

to unload the object to free memory, it will be reloaded automatically
if needed. Recursively done for the sub items if 'rec' is TRUE.
if 'del' is true the sub items are deleted in C++, and removed from the
internal dictionnary in C++ and Java (to allow it to be garbaged),
you will have to call Children() to re-access to them

Relation _target (<unidirectional association>)

Declaration :

- Uml : - _target : UmlActivityNode
- C++ : private: UmlActivityNode * _target
- Java : private UmlActivityNode _target

Relation _uml (<directional aggregation by value>)

Declaration :

- Uml : - _uml : FlowBehavior
- C++ : private: FlowBehavior _uml
- Java : private FlowBehavior _uml

Relation _cpp (<directional aggregation by value>)

Declaration :

- Uml : - _cpp : FlowBehavior
- C++ : private: FlowBehavior _cpp
- Java : private FlowBehavior _cpp

Relation _java (<directional aggregation by value>)

Declaration :

- Uml : - _java : FlowBehavior
- C++ : private: FlowBehavior _java
- Java : private FlowBehavior _java

Operation read_uml_

Declaration :

- Uml : # read_uml_() : void
- C++ : protected: virtual void read_uml_()
- Java : protected void read_uml_()

Operation read_cpp_

Declaration :

- Uml : # read_cpp_() : void
- C++ : protected: virtual void read_cpp_()
- Java : protected void read_cpp_()

Operation read_java_

Declaration :

- Uml : # read_java_() : void
- C++ : protected: virtual void read_java_()
- Java : protected void read_java_()

Operation UmlBaseFlow

Declaration :

- Uml : # UmlBaseFlow(in id : item_id, in s : string) :
- C++ : protected: UmlBaseFlow(void * id, const QCString & s) : UmlItem(id, s)
- Java : protected UmlBaseFlow(long id, String s)

the constructor, do not call it yourself !!!!!!!!!!

All public operations : apply , children , childrenVisible , cppGuard , cppSelection , cppTransformation , cppWeight , create , defined_ , deleteIt , description , getIdentifier , guard , identifier_ , isMarked , isToolRunning , isWritable , javaGuard , javaSelection , javaTransformation , javaWeight , kind , kind , markedItems , moveAfter , name , parent , properties , propertyValue , referencedBy , selection , set_childrenVisible , set_CppGuard , set_CppSelection , set_CppTransformation , set_CppWeight , set_Description , set_Guard , set_isMarked , set_JavaGuard , set_JavaSelection , set_JavaTransformation , set_JavaWeight , set_Name , set_PropertyValue , set_Selection , set_Stereotype , set_Transformation , set_Weight , stereotype , supportFile , target , transformation , unload , unload , weight